Subject: Re: [PATCH 4/4] connect.c: drop path_match function

From: Michael Haggerty <[email-masked]>
Date: Tue, 13 Dec 2011 04:23:30 +0100

On 12/13/2011 01:49 AM, Jeff King wrote:
> I just did the exact-string match inline in the previous patch. I could
> also have modified path_match to do it. But really, I can't think of a
> worse name for a global function in a system which is all about
> managing content in paths. Unless, you know, it actually matched paths.
> Which it doesn't.

The tacit assumption that a reference is always a file is all over the
code and is often confusing.  My

    [PATCH v2 02/51] refs: rename "refname" variables

is a step towards making the distinction more explicit, at least in the
refs code.

Michael

-- 
Michael Haggerty
[email-masked]
http://softwareswirl.blogspot.com/